airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bolke de Bruin (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AIRFLOW-784) Cannot install with funcsigs > 1.0.0
Date Sun, 22 Jan 2017 16:38:27 GMT

     [ https://issues.apache.org/jira/browse/AIRFLOW-784?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Bolke de Bruin resolved AIRFLOW-784.
------------------------------------
       Resolution: Fixed
    Fix Version/s: 1.8.1

Issue resolved by pull request #2010
[https://github.com/apache/incubator-airflow/pull/2010]

> Cannot install with funcsigs > 1.0.0
> ------------------------------------
>
>                 Key: AIRFLOW-784
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-784
>             Project: Apache Airflow
>          Issue Type: Bug
>            Reporter: George Sakkis
>             Fix For: 1.8.1
>
>
> Installing {{funcsigs > 1.0.0}} breaks Airflow installation due to [this commit|https://github.com/testing-cabal/funcsigs/commit/a2602c812c5011b4b97ab02402a93e725e571a9b]:
> bq. This still gives a poor user experience when an older setuptools is installed, but
at least folk reading setup.py will see the version they need.
> This is on a virtualenv on Ubuntu LTS 14.04:
> {noformat}
> $ virtualenv --version
> 1.11.4
> $ python -c "import setuptools as s; print s.__version__"
> 2.2
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message